## org.hibernate.sql
Class InFragment

    java.lang.Object
      org.hibernate.sql.InFragment

    public class InFragment

extends Object

An SQL IN expression.
`... in(...)`

Field Summary
`static String` `NOT_NULL`
`static String` `NULL`

Constructor Summary
`InFragment()`

Method Summary
`InFragment` `addValue(Object value)`
`InFragment` `setColumn(String columnName)`
`InFragment` `setColumn(String alias, String columnName)`
`InFragment` `setFormula(String alias, String formulaTemplate)`
`String` `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final String NULL

See Also:
  Constant Field Values

### NOT_NULL

    public static final String NOT_NULL

See Also:
  Constant Field Values

Constructor Detail

### InFragment

    public InFragment()

Method Detail

### addValue

    public InFragment addValue(Object value)

  Parameters:
    `value` - an SQL literal, NULL, or NOT_NULL
  Returns:
    `this`, for method chaining

### setColumn

    public InFragment setColumn(String columnName)

### setColumn

    public InFragment setColumn(String alias,
                                String columnName)

### setFormula

    public InFragment setFormula(String alias,
                                 String formulaTemplate)

### toFragmentString

    public String toFragmentString()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.